## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class CaseControlledWordRule

    java.lang.Object
      org.eclipse.jface.text.rules.WordRule
          org.eclipse.datatools.sqltools.sqlbuilder.views.source.CaseControlledWordRule

All Implemented Interfaces:
  org.eclipse.jface.text.rules.IRule

    public class CaseControlledWordRule

extends org.eclipse.jface.text.rules.WordRule

Constructor Summary
`CaseControlledWordRule(org.eclipse.jface.text.rules.IWordDetector detector)` CaseControlledWordRule constructor comment.
`CaseControlledWordRule(org.eclipse.jface.text.rules.IWordDetector detector, org.eclipse.jface.text.rules.IToken defaultToken)` Constructor.
`CaseControlledWordRule(org.eclipse.jface.text.rules.IWordDetector detector, org.eclipse.jface.text.rules.IToken defaultToken, boolean caseSensitive)`

Method Summary
`org.eclipse.jface.text.rules.IToken` `evaluate(org.eclipse.jface.text.rules.ICharacterScanner scanner)`
`boolean` `isCaseSensitive()`
`void` `setCaseSensitive(boolean newCaseSensitive)`

Methods inherited from class org.eclipse.jface.text.rules.WordRule
`addWord, setColumnConstraint`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaseControlledWordRule

    public CaseControlledWordRule(org.eclipse.jface.text.rules.IWordDetector detector)

  CaseControlledWordRule constructor comment.

  Parameters:
    `detector` - org.eclipse.jface.text.rules.IWordDetector

### CaseControlledWordRule

    public CaseControlledWordRule(org.eclipse.jface.text.rules.IWordDetector detector,
                                  org.eclipse.jface.text.rules.IToken defaultToken)

  Constructor.

  Parameters:
    `detector` - org.eclipse.jface.text.rules.IWordDetector
    `defaultToken` - org.eclipse.jface.text.rules.IToken

### CaseControlledWordRule

    public CaseControlledWordRule(org.eclipse.jface.text.rules.IWordDetector detector,
                                  org.eclipse.jface.text.rules.IToken defaultToken,
                                  boolean caseSensitive)

Parameters:
  `detector` - org.eclipse.jface.text.rules.IWordDetector
  `defaultToken` - org.eclipse.jface.text.rules.IToken
  `caseSensitive` - boolean

Method Detail

### evaluate

    public org.eclipse.jface.text.rules.IToken evaluate(org.eclipse.jface.text.rules.ICharacterScanner scanner)

  Specified by:
    `evaluate` in interface `org.eclipse.jface.text.rules.IRule`
  Overrides:
    `evaluate` in class `org.eclipse.jface.text.rules.WordRule`
  Parameters:
    `scanner` - org.eclipse.jface.text.rules.ICharacterScanner
  Returns:
    org.eclipse.jface.text.rules.IToken

### isCaseSensitive

    public boolean isCaseSensitive()

  Returns:
    boolean

### setCaseSensitive

    public void setCaseSensitive(boolean newCaseSensitive)

  Parameters:
    `newCaseSensitive` - boolean